<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Tags.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Tags</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../HTML.html" >HTML</a>.Tags

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#attributes" >attributes</a></span>(<span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.attributes" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#rel" >rel</a></span>(<span class="variable">origin</span>, <span class="variable">target</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.rel" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Find link to target relative to origin.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#href" >href</a></span>(<span class="variable">_ref</span>, <span class="variable">_label</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">attrs</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.href" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line37" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#img" >img</a></span>(<span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">attrs</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.img" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line45" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return an img element.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#name" >name</a></span>(<span class="variable">ref</span>, <span class="variable">label</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.name" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line50" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#span" >span</a></span>(<span class="variable">class_</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.span" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line55" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#div" >div</a></span>(<span class="variable">class_</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.div" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line63" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#element" >element</a></span>(<span class="variable">_</span>, <span class="variable">body</span> = <span class="value">None</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.element" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line71" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#desc" >desc</a></span>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.desc" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line79" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="escape">escape</a>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.escape" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line85" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="quote_as_id">quote_as_id</a>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.quote_as_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line92" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tags.html#replace_spaces" >replace_spaces</a></span>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.replace_spaces" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line102" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Replaces spaces in the given string with &amp;#160; sequences.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="using_frames">using_frames</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line12" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="attributes">attributes</a>(<span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.attributes" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Convert a name/value dict to a string of attributes</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="rel">rel</a>(<span class="variable">origin</span>, <span class="variable">target</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.rel" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Find link to target relative to origin.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="href">href</a>(<span class="variable">_ref</span>, <span class="variable">_label</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">attrs</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.href" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line37" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return a href to 'ref' with name 'label' and attributes</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="img">img</a>(<span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">attrs</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.img" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line45" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return an img element.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="name">name</a>(<span class="variable">ref</span>, <span class="variable">label</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.name" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line50" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return a name anchor with given reference and label</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="span">span</a>(<span class="variable">class_</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.span" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line55" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Wrap the body in a span of the given class</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="div">div</a>(<span class="variable">class_</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.div" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line63" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Wrap the body in a div of the given class</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="element">element</a>(<span class="variable">_</span>, <span class="variable">body</span> = <span class="value">None</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.element" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line71" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Wrap the body in a tag of given type and attributes</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="desc">desc</a>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.desc" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line79" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create a description div for the given text</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="replace_spaces">replace_spaces</a>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Tags.replace_spaces" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Tags.py.html#line102" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Replaces spaces in the given string with &amp;#160; sequences. Does NOT
    replace spaces inside tags</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
